Subject: mrouted and Old IP Broadcast address

From: D E PRICE <[email-masked]>
Date: Mon, 10 Mar 1997 19:01:44 +0000

Dear All,
	I wonder if anyone can throw light on this. I have a sun
IPX which has a quad port ether card acting  as a distribution
multicast router. Of its (now) five ports, one has the physical
interface disabled in the mrouted.conf file. The machine is running

5.5 Generic (sun4c sparc SUNW,Sun_4_50) and it has the 
solaris patches for multicast installed.

mrinfo gives...

/usr/multicast/mrinfo 
127.0.0.1 (localhost) [version 3.8,prune,genid,mtrace]:
  193.60.11.33 -> 0.0.0.0 (local) [1/1/querier/leaf]
  193.60.15.40 -> 0.0.0.0 (local) [1/1/querier/leaf]
  193.60.10.90 -> 0.0.0.0 (local) [1/1/querier/leaf]
  193.60.9.40 -> 0.0.0.0 (local) [1/1/querier/leaf]
  144.124.34.30 -> 0.0.0.0 (local) [1/1/disabled]
  144.124.34.30 -> 144.124.16.6 (dir.aber.ac.uk) [1/1/tunnel]
# 

However, about once every five minutes a group of four packets
to the OLD IP broadcast address (0.0.0.0) pop out of the port
which has been disabled. A capture shows them to contain IGMP packets
of some form.

trollope.dcs.aber.ac.uk -> OLD-BROADCAST IP  D=0.0.0.0 S=193.60.11.33 LEN=28, ID=17260
trollopeb.dcs.aber.ac.uk -> OLD-BROADCAST IP  D=0.0.0.0 S=193.60.10.90 LEN=28, ID=17261
trollopec.dcs.aber.ac.uk -> OLD-BROADCAST IP  D=0.0.0.0 S=193.60.9.40 LEN=28, ID=17262
           ? -> (multicast)  ETHER Type=8356 (Unknown), size = 52 bytes
trollopea.dcs.aber.ac.uk -> OLD-BROADCAST IP  D=0.0.0.0 S=193.60.15.40 LEN=28, ID=17263

Does anyone have any idea why this is happening and how I might
prevent it??

Thanks,
Dave Price

	---------------------------------------------------------
	| David Price, Computer Science				|
	|							|
	|  Computer Science, University of Wales, Aberystwyth,	|
	|  Penglais Campus, Aberystwyth, Ceredigion, SY23 3DB	|
	|                                                       |
	| Email: [email-masked] WWW: http://www.aber.ac.uk/~dap |
	|  Phone: +44 1970 622428   FAX: +44 1970 622455	|
	---------------------------------------------------------